Subject: Re: Question regarding Java and SQL
To: Georg Schwarz <>
From: Geert Hendrickx <>
List: tech-pkg
Date: 11/01/2005 00:43:29
On Mon, Oct 31, 2005 at 11:29:47PM +0100, Georg Schwarz wrote:
> I am trying to add openlogos-1.0.0 to WIP. It requires Java and checks
> for jni.h.
> One can speficy a path with --with-java=.
> I used ${LOCALBASE}/java/kaffe. Is that correct for all systems? Is there
> maybe a more efficient/more general variable to use?

Please use pkgsrc/mk/ and its variables, so users can choose an
alternative JDK if they want.  They should all provide a jni.h.  

> Moreover, it checks for sql.h. I installed databases/unixodbc. Is that
> adequate for all systems, or is there any better solution?

databases/unixodbc or databases/iodbc.